Subject: bug#55743: 28.1.50; No directory error in comp-run-async-workers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jun 2022 11:02:45 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 02 Jun 2022 10:40:12 +0300
> 
> > Please tell how this case is different from the one below:
> >
> >   emacs -Q
> >   M-: (setq default-directory "/non-existent/foo/bar") RET
> >   M-! ls RET
> >
> > You get the same error about "setting current directory".  Do yopu
> > think it's a bug in M-! ?
> 
> M-! is a command explicitly initiated by the user in the current buffer.

Is it really relevant? the same will happen if shell-command is called
non-interactively by some Lisp program.

We require that default-directory be valid whenever Emacs needs to run
a subprocess.  This is a basic requirement for all Lisp programs using
this facility.  Native compilation is not different from any other
Lisp program that invokes a subprocess.